#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,m;
    scanf("%d%d",&n,&m);
    int *d=(int*)malloc(n*sizeof(int));
    int *u=(int*)malloc(n*sizeof(int));
    int maxu=0;
    for (int i=0;i<n;i++) scanf("%d%d",&d[i],&u[i]);

    for (int i=0;i<m;i++)
    {
        int l,r,x;
        scanf("%d%d%d",&l,&r,&x);
        l--;r--;
        int br=0;
        for (int j=l;j<=r;j++) if (u[j]>=x && d[j]<=x) br++;
        printf("%d\n",br);
    }
}